/*
 * ctd_sbe37.h
 *
 *  Created on: Nov 28, 2022
 *      Author: thomm
 */

#ifndef CTD_SBE37_H_
#define CTD_SBE37_H_

#include "system.h"

#define CTD_BAUD                9600


#define COMMA 0x2C
#define TAB   '\t'  //0x09   //CTRL-I

#define ST_CTD_NADA             0
#define ST_CTD_INIT             1
#define ST_CTD_SBE_PWR_RESP     2
#define ST_CTD_SBE_GET_DATA     3
#define ST_CTD_AAND_PWR_RESP    4
#define ST_CTD_GET_AAND_DATA    5


void ctd_sbe37_parseData(void);
void ctd_sbe37_poll(void);

int ctd_sbe37_stateMachine(int ctdState);
uint32_t ctd_sbe37_qa_test(void);              // for statemachine development and qa procedure
void ctd_sbe37_comm_test(void);                // for 'communicate with instrument' in test menu

void ctd_sbe37_serial_analyzer(void);



#endif /* CTD_SBE37_H_ */
